/*
ADOBE SYSTEMS INCORPORATED
Copyright 1994 - 2007 Adobe Macromedia Software LLC
All Rights Reserved

NOTICE:  Adobe permits you to use, modify, and distribute this file in accordance with the 
terms of the Adobe license agreement accompanying it.  If you have received this file from a 
source other than Adobe, then your use, modification, or distribution of it requires the prior 
written permission of Adobe.
*/

#ifndef _H_Script
#define _H_Script

#include "moastdif.h"
#include "xmmvalue.h"
#include "mmiutil.h"


/* --------------------------------------------------- */


// {3D65E366-D3AE-44ba-B85F-8A3675282837}
DEFINE_GUID(CLSID_TStdXtra, 0x3d65e366, 0xd3ae, 0x44ba, 0xb8, 0x5f, 0x8a, 0x36, 0x75, 0x28, 0x28, 0x37);


EXTERN_BEGIN_DEFINE_CLASS_INSTANCE_VARS(TStdXtra)

	PIMoaMmUtils2 	pMoaUtils;
	PIMoaMmValue	pValueInterface;

EXTERN_END_DEFINE_CLASS_INSTANCE_VARS



/*****************************************************************************
 * Xtra Moa Registration Interface - Class definition
 ****************************************************************************/

EXTERN_BEGIN_DEFINE_CLASS_INTERFACE(TStdXtra, IMoaRegister)

	EXTERN_DEFINE_METHOD(MoaError, Register, (PIMoaCache, PIMoaXtraEntryDict))

EXTERN_END_DEFINE_CLASS_INTERFACE



/*****************************************************************************
 * Xtra Moa Scripting Interface - Class definition
 ****************************************************************************/

EXTERN_BEGIN_DEFINE_CLASS_INTERFACE(TStdXtra, IMoaMmXScript)

	EXTERN_DEFINE_METHOD(MoaError, Call, (PMoaDrCallInfo))
private:
	// Methods that implement the Lingo commands.
	// These are dispatched from "Call"

	EXTERN_DEFINE_METHOD(MoaError, NegateHandler, (PMoaDrCallInfo))
	EXTERN_DEFINE_METHOD(MoaError, Sum3Handler, (PMoaDrCallInfo))
	EXTERN_DEFINE_METHOD(MoaError, SetBitHandler, (PMoaDrCallInfo))
	// following is used to get the path to the xtra - so we can find the DLLs next to the xtra
	EXTERN_DEFINE_METHOD(MoaError, GetDllPath, (PMoaChar, PMoaChar))
	 
EXTERN_END_DEFINE_CLASS_INTERFACE

#endif /* _H_Script */
